# Uses of Interface
org.eclipse.net4j.db.ddl.delta.IDBIndexFieldDelta

Packages that use IDBIndexFieldDelta
Package
Description
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.

## Uses of IDBIndexFieldDelta in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBIndexFieldDelta
Modifier and Type
Method
Description
`IDBIndexFieldDelta`
IDBIndexDelta.`getIndexFieldDelta(int position)`
`IDBIndexFieldDelta`
IDBIndexDelta.`getIndexFieldDelta(String name)`
`IDBIndexFieldDelta[]`
IDBIndexDelta.`getIndexFieldDeltasSortedByPosition()`
Methods in org.eclipse.net4j.db.ddl.delta that return types with arguments of type IDBIndexFieldDelta
Modifier and Type
Method
Description
`Map<String,IDBIndexFieldDelta>`
IDBIndexDelta.`getIndexFieldDeltas()`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBIndexFieldDelta
Modifier and Type
Method
Description
`protected void`
IDBDeltaVisitor.Default.`added(IDBIndexFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`added(IDBIndexFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`changed(IDBIndexFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`changed(IDBIndexFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Copier.`doVisit(IDBIndexFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`doVisit(IDBIndexFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`removed(IDBIndexFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`removed(IDBIndexFieldDelta delta)`
`void`
IDBDeltaVisitor.Default.`visit(IDBIndexFieldDelta delta)`
`void`
IDBDeltaVisitor.`visit(IDBIndexFieldDelta delta)`